Index: gli/branches/rtl-gli/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- gli/branches/rtl-gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 18351)
+++ gli/branches/rtl-gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 18352)
@@ -70,4 +70,7 @@
     private JPanel separator;
     private Plugin separator_plugin;
+
+  /** The number of plugins that are fixed 'below the line' */
+  private static int NUM_FIXED_PLUGINS = 3; 
     /** Constructor.
      */
@@ -93,5 +96,5 @@
     private void ensureMetadataXMLPlugIsLoaded() {
 
-	Plugin metaxmlplug = Plugins.getPlugin("MetadataXMLPlug", false);
+	Plugin metaxmlplug = Plugins.getPlugin(StaticStrings.METADATAXMLPLUG_STR, false);
 	if (metaxmlplug!= null) {
 	    if (!contains(metaxmlplug)) {
@@ -117,6 +120,6 @@
 	    if (!plugin.isAbstract()) {
 		String plugin_name = plugin.getName();
-		if (!plugin_name.equals(StaticStrings.ARCPLUG_STR) && !plugin_name.equals(StaticStrings.RECPLUG_STR)) {
-		    available.add(plugin);
+		if (!plugin_name.equals(StaticStrings.ARCPLUG_STR) && !plugin_name.equals(StaticStrings.RECPLUG_STR) && !plugin_name.equals(StaticStrings.METADATAXMLPLUG_STR)) {
+		  available.add(plugin);
 		}
 	    }
@@ -148,5 +151,4 @@
 	return exploder_plugins;	
     }
-
     
     public boolean isFileExplodable(File file)
@@ -163,4 +165,33 @@
     }
 
+    // Works with replace_srcdoc_with_html.pl
+    public ArrayList getSrcReplacerPlugins(File file)
+    {
+	ArrayList srcreplacer_plugins = new ArrayList();
+	ArrayList plugins_list = Plugins.getPluginsList();
+	for (int i = 0; i < plugins_list.size(); i++) {
+	    Plugin plugin = (Plugin) plugins_list.get(i);
+	    if (plugin.doesReplaceSrcDocsWithHtml() == true && plugin.doesProcessFile(file)) {
+		srcreplacer_plugins.add(plugin);
+	    }
+	}
+
+	return srcreplacer_plugins;	
+    }	
+
+    // Works with replace_srcdoc_with_html.pl
+    public boolean isFileSrcReplaceable(File file)
+    {
+	ArrayList plugins_list = Plugins.getPluginsList();
+	for (int i = 0; i < plugins_list.size(); i++) {
+	    Plugin plugin = (Plugin) plugins_list.get(i);
+	   
+	    if (plugin.doesReplaceSrcDocsWithHtml() == true && plugin.doesProcessFile(file) == true) { 
+		return true;
+	    }
+	}
+
+	return false;
+    }	
 
     /** Method to assign a plugin
@@ -168,5 +199,5 @@
      */
     private void assignPlugin(Plugin plugin) {
-	if(plugin.getName().equals(StaticStrings.RECPLUG_STR) || plugin.getName().equals(StaticStrings.ARCPLUG_STR)) {
+      if(plugin.getName().equals(StaticStrings.RECPLUG_STR) || plugin.getName().equals(StaticStrings.ARCPLUG_STR) || plugin.getName().equals(StaticStrings.METADATAXMLPLUG_STR)) {
 	    addAfter(plugin, separator_plugin); // Adds after separator
 	} else {
@@ -245,5 +276,5 @@
 	int result = super.getSize();
 	if(modify_row_count) {
-	    result = result-3;
+	  result = result-(NUM_FIXED_PLUGINS+1);
 	}
 	return result;
@@ -267,9 +298,9 @@
     private void movePlugin(Plugin plugin, boolean direction, boolean all) {
 	// Can't ever move RecPlug or ArcPlug
-	if(super.getSize() < 4) {
+      if(super.getSize() < (NUM_FIXED_PLUGINS+2)) {
 	    //DebugStream.println("Not enough plugins to allow moving.");
 	    return;
 	}
-	if(plugin.getName().equals(StaticStrings.ARCPLUG_STR) || plugin.getName().equals(StaticStrings.RECPLUG_STR)) {
+	if(plugin.getName().equals(StaticStrings.ARCPLUG_STR) || plugin.getName().equals(StaticStrings.RECPLUG_STR) || plugin.getName().equals(StaticStrings.METADATAXMLPLUG_STR)) {
 	    JOptionPane.showMessageDialog(Gatherer.g_man, Dictionary.get("CDM.Move.Fixed"), Dictionary.get("CDM.Move.Title"), JOptionPane.ERROR_MESSAGE);
 	    return;
@@ -336,5 +367,5 @@
 		Plugin plugin = (Plugin) getElementAt(index);
 		String name = plugin.getName();
-		if(name.equals(StaticStrings.RECPLUG_STR) || name.equals(StaticStrings.ARCPLUG_STR)) {
+		if(name.equals(StaticStrings.RECPLUG_STR) || name.equals(StaticStrings.ARCPLUG_STR) || name.equals(StaticStrings.METADATAXMLPLUG_STR)) {
 		    found_fixed = true;
 		    index--;
@@ -370,6 +401,6 @@
 
 
-    /** Inform the model to hide/show the last three lines on the list.
-     * @param modify_row_count true to hide the last three lines, false otherwise
+    /** Inform the model to hide/show the last four lines on the list.
+     * @param modify_row_count true to hide the last four lines, false otherwise
      */
     private void setHideLines(boolean modify_row_count) {
@@ -377,8 +408,8 @@
 	int original_size = super.getSize();
 	if(modify_row_count) {
-	    fireIntervalRemoved(this, original_size - 4, original_size - 1);
+	  fireIntervalRemoved(this, original_size - (NUM_FIXED_PLUGINS+2), original_size - 1);
 	}
 	else {
-	    fireIntervalAdded(this, original_size - 4, original_size - 1);
+	  fireIntervalAdded(this, original_size - (NUM_FIXED_PLUGINS+2), original_size - 1);
 	}
     }
@@ -696,14 +727,12 @@
             String plugin_name = selected_plugin.getName();
             // Some buttons are only available for plugins other than ArcPlug and RecPlug
-            if(plugin_name.equals(StaticStrings.ARCPLUG_STR) || plugin_name.equals(StaticStrings.RECPLUG_STR) ) {
+            if(plugin_name.equals(StaticStrings.ARCPLUG_STR) || plugin_name.equals(StaticStrings.RECPLUG_STR) || plugin_name.equals(StaticStrings.METADATAXMLPLUG_STR)) {
               move_up_button.setEnabled(false);
               move_down_button.setEnabled(false);
               remove.setEnabled(false);
-            } else if (plugin_name.equals(StaticStrings.METADATAXMLPLUG_STR)) {
-              remove.setEnabled(false);
-            }
+            } 
             
             else {
-              // don't let people remove special plugins such GAPlug an METSPlug,
+              // don't let people remove special plugins such GreenstoneXMLPlug and GreenstoneMETSPlug,
               // unless they are in systems mode or above
               int mode = Configuration.getMode();
Index: gli/branches/rtl-gli/src/org/greenstone/gatherer/cdm/SearchMetadataManager.java
===================================================================
--- gli/branches/rtl-gli/src/org/greenstone/gatherer/cdm/SearchMetadataManager.java	(revision 18351)
+++ gli/branches/rtl-gli/src/org/greenstone/gatherer/cdm/SearchMetadataManager.java	(revision 18352)
@@ -33,4 +33,5 @@
 import org.greenstone.gatherer.Configuration;
 import org.greenstone.gatherer.Dictionary;
+import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.DesignPaneHeader;
 import org.greenstone.gatherer.util.StaticStrings;
@@ -182,5 +183,10 @@
 	
 	public String getMetaID() {
-	    return StaticStrings.STOP_CHARACTER+id;
+	  if (Gatherer.GS3) {
+	    // we don't use any dots in gs3
+	    return id;
+	  }
+	  return StaticStrings.STOP_CHARACTER+id;
+	  
 	}
 	public String getValue() {
